clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< ::clang::CodeGen::ConstantInitFuture > Struct Template Reference

`#include "clang/CodeGen/ConstantInitFuture.h"`

## Public Types
enum | { NumLowBitsAvailable = T::NumLowBitsAvailable }
using | T = ::clang::CodeGen::ConstantInitFuture

## Static Public Member Functions
static void * | getAsVoidPointer (T future)
static T | getFromVoidPointer (void *p)

## Detailed Description

### template<>
struct llvm::PointerLikeTypeTraits< ::clang::CodeGen::ConstantInitFuture >

Definition at line 94 of file ConstantInitFuture.h.

## Member Typedef Documentation

## ◆ T

using llvm::PointerLikeTypeTraits< ::clang::CodeGen::ConstantInitFuture >::T = ::clang::CodeGen::ConstantInitFuture

Definition at line 95 of file ConstantInitFuture.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 103 of file ConstantInitFuture.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

static void* llvm::PointerLikeTypeTraits< ::clang::CodeGen::ConstantInitFuture >::getAsVoidPointer | ( | T | future | ) |
| inline static

Definition at line 97 of file ConstantInitFuture.h.

References clang::CodeGen::ConstantInitFuture::getOpaqueValue().

## ◆ getFromVoidPointer()

static T llvm::PointerLikeTypeTraits< ::clang::CodeGen::ConstantInitFuture >::getFromVoidPointer | ( | void * | p | ) |
| inline static

Definition at line 100 of file ConstantInitFuture.h.

The documentation for this struct was generated from the following file:

- include/clang/CodeGen/ConstantInitFuture.h